org.codehaus.plexus.util.cli

## Class AbstractStreamHandler

- java.lang.Object
- - java.lang.Thread
  - - org.codehaus.plexus.util.cli.AbstractStreamHandler

All Implemented Interfaces:
  Runnable

Direct Known Subclasses:
  StreamFeeder, StreamPumper

    public class AbstractStreamHandler
    extends Thread

Author:
  Kristian Rosenvold

### Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Thread

`Thread.State, Thread.UncaughtExceptionHandler`

### Field Summary

### Fields inherited from class java.lang.Thread

`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

### Constructor Summary

Constructors
Constructor and Description
`AbstractStreamHandler()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `disable()`
`protected boolean` `isDisabled()`
`boolean` `isDone()`
`void` `setDone()`
`void` `waitUntilDone()`

### Methods inherited from class java.lang.Thread

`activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, run, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AbstractStreamHandler

    public AbstractStreamHandler()

### Method Detail

#### isDone

    public boolean isDone()

#### waitUntilDone

    public void waitUntilDone()
                       throws InterruptedException

Throws:
  `InterruptedException`

#### isDisabled

    protected boolean isDisabled()

#### disable

    public void disable()

#### setDone

    public void setDone()